## org.apache.commons.collections.functors
Interface PredicateDecorator

All Superinterfaces:
  Predicate

All Known Implementing Classes:
  AllPredicate, AndPredicate, AnyPredicate, NonePredicate, NotPredicate, NullIsExceptionPredicate, NullIsFalsePredicate, NullIsTruePredicate, OnePredicate, OrPredicate, TransformedPredicate

public interface PredicateDecorator
extends Predicate

Defines a predicate that decorates one or more other predicates.

This interface enables tools to access the decorated predicates.

Since:
  Commons Collections 3.1
Version:
  $Revision: 1.1 $ $Date: 2004/05/31 16:43:17 $
Author:
  Stephen Colebourne

Method Summary
`Predicate[]` `getPredicates()` Gets the predicates being decorated as an array.

Methods inherited from interface org.apache.commons.collections.Predicate
`evaluate`

Method Detail

### getPredicates

    public Predicate[] getPredicates()

  Gets the predicates being decorated as an array.

  The array may be the internal data structure of the predicate and thus should not be altered.

  Returns:
    the predicates being decorated

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.